Apple is updating old iPhone and iPad models to fix a GPS issue (updated)

IPhone & IPad

In addition to releasing iOS 12.4, Apple has also announced that it’s patching older versions of the platform for devices that can’t run the latest rollouts. We’re talking about models as old as the iPhone 4s and the first-generation iPad mini. Not to teach those old devices new tricks, but to fix a bug that prevents them from using GPS.

See, GPS technology needs to keep an eye on the date and time to tell your location — it tracks the date by counting the number of weeks and storing the values as 10-bit figures. Around every 20 years, that 10-bit week number goes back to zero, causing issues for older devices not designed to handle the change. The most recent rollover happened on April 6th, which means Apple devices that can’t install the latest iOS versions could be affected by the issue.

Apple’s patched mobile OS will need to be installed before November 3rd. The company explained to this ensures GPS and clock work properly after that date, and failing to do so will impact performance due to a manufacturing fault. For the iPhone 5 and fourth-generation iPad, the update will show up under About in Settings as iOS 10.3.4. Meanwhile, the update will show up as iOS 9.3.6 for the iPhone 4s, first-gen iPad mini, iPad 2 and third-gen iPad. Check out Apple’s newly posted instructions right here.

Update your iPhone or iPad software to avoid issues with location, date, and time

Starting November 3, 2019, some iPhone and iPad models introduced in 2012 and earlier will require an iOS update to maintain accurate GPS location and keep the correct date and time. This is due to..

[“source=engadget”]